List power feeds for a Kubernetes bare metal node

GET/v1/hosts/kubernetes_baremetal_nodes/{server_id}/power_feeds

A GET request to the /v1/hosts/kubernetes_baremetal_nodes/{server_id}/power_feeds endpoint will show a list of power feeds for a bare metal node specified in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
server_id
string

A unique identifier of a server used for a node. To find it out, proceed to the relevant request.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/hosts/kubernetes_baremetal_nodes/openm5d7/power_feeds"
[  {    "name": "Power 2",    "status": "on",    "type": "physical"  },  {    "name": "Power 1",    "status": "on",    "type": "physical"  }]